path: /build/build/testtools-dev-python-2.7.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/testtools -pv -t && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/testtools
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/testtools && luet-portage --dir /pkgdir/testtools
    dev-python/testtools && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:368d172aeb602c7b2958f57022a6145d0a7c3dc1d78d49c9a21aea3892009a7f
  package:
    name: testtools
    version: 2.7.1
    category: dev-python
    use_flags:
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: pbr
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Extensions to the Python standard library unit testing framework
    uri:
    - https://github.com/testing-cabal/testtools https://pypi.org/project/testtools/
    license: MIT
    buildtimestamp: 2024-02-07 18:57:23.110171508 +0000 UTC m=+59.746674083
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/pbr[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8
      RDEPEND: python_targets_python2_7? ( dev-python/testtools-compat ) dev-python/pbr[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/testtools
      kit: python-modules-kit
      original.package.name: dev-python/testtools
      original.package.slot: "0"
      original.package.version: 2.7.1
    treedir: /build/packages
  package_dir: /pkgdir/testtools
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c3d2eb1223c02ea25e92ef7484b491369b0ede39d640c2ba4c3cfc053e612c66
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/testtools/__init__.py
- usr/lib/python3.9/site-packages/testtools/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/_version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/_version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/_version.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/assertions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/assertions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/assertions.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/compat.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/compat.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/compat.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/content.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/content.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/content.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/content_type.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/content_type.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/content_type.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/helpers.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/helpers.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/helpers.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/monkey.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/monkey.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/monkey.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/run.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/run.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/run.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/runtest.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/runtest.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/runtest.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/tags.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/tags.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/tags.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/testcase.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/testcase.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/testcase.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/testsuite.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/testsuite.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/testsuite.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/utils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/utils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/testtools/__pycache__/utils.cpython-39.pyc
- usr/lib/python3.9/site-packages/testtools/_version.py
- usr/lib/python3.9/site-packages/testtools/assertions.py
- usr/lib/python3.9/site-packages/testtools/compat.py
- usr/lib/python3.9/site-packages/testtools/content.py
- usr/lib/python3.9/site-packages/testtools/content_type.py
- usr/lib/python3.9/site-packages/testtools/helpers.py
- usr/lib/python3.9/site-packages/testtools/monkey.py
- usr/lib/python3.9/site-packages/testtools/run.py
- usr/lib/python3.9/site-packages/testtools/runtest.py
- usr/lib/python3.9/site-packages/testtools/tags.py
- usr/lib/python3.9/site-packages/testtools/testcase.py
- usr/lib/python3.9/site-packages/testtools/testsuite.py
- usr/lib/python3.9/site-packages/testtools/utils.py
- usr/lib/python3.9/site-packages/testtools-0.0.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/testtools-0.0.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/testtools-0.0.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/testtools-0.0.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/testtools-0.0.0-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/testtools-0.0.0-py3.9.egg-info/top_level.txt
- usr/share/doc/testtools-2.7.1/AUTHORS.bz2
- usr/share/doc/testtools-2.7.1/NEWS.bz2
- usr/share/doc/testtools-2.7.1/README.rst.bz2
- var/db/pkg/dev-python/testtools-2.7.1/BDEPEND
- var/db/pkg/dev-python/testtools-2.7.1/BUILD_TIME
- var/db/pkg/dev-python/testtools-2.7.1/CATEGORY
- var/db/pkg/dev-python/testtools-2.7.1/CBUILD
- var/db/pkg/dev-python/testtools-2.7.1/CFLAGS
- var/db/pkg/dev-python/testtools-2.7.1/CHOST
- var/db/pkg/dev-python/testtools-2.7.1/CONTENTS
- var/db/pkg/dev-python/testtools-2.7.1/COUNTER
- var/db/pkg/dev-python/testtools-2.7.1/CXXFLAGS
- var/db/pkg/dev-python/testtools-2.7.1/DEFINED_PHASES
- var/db/pkg/dev-python/testtools-2.7.1/DEPEND
- var/db/pkg/dev-python/testtools-2.7.1/DESCRIPTION
- var/db/pkg/dev-python/testtools-2.7.1/EAPI
- var/db/pkg/dev-python/testtools-2.7.1/FEATURES
- var/db/pkg/dev-python/testtools-2.7.1/HOMEPAGE
- var/db/pkg/dev-python/testtools-2.7.1/INHERITED
- var/db/pkg/dev-python/testtools-2.7.1/IUSE
- var/db/pkg/dev-python/testtools-2.7.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/testtools-2.7.1/KEYWORDS
- var/db/pkg/dev-python/testtools-2.7.1/LDFLAGS
- var/db/pkg/dev-python/testtools-2.7.1/LICENSE
- var/db/pkg/dev-python/testtools-2.7.1/PF
- var/db/pkg/dev-python/testtools-2.7.1/RDEPEND
- var/db/pkg/dev-python/testtools-2.7.1/SIZE
- var/db/pkg/dev-python/testtools-2.7.1/SLOT
- var/db/pkg/dev-python/testtools-2.7.1/USE
- var/db/pkg/dev-python/testtools-2.7.1/environment.bz2
- var/db/pkg/dev-python/testtools-2.7.1/repository
- var/db/pkg/dev-python/testtools-2.7.1/testtools-2.7.1.ebuild
package_cacheimage: ""
runtime:
  name: testtools
  version: 2.7.1
  category: dev-python
  use_flags:
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: pbr
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Extensions to the Python standard library unit testing framework
  uri:
  - https://github.com/testing-cabal/testtools https://pypi.org/project/testtools/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/pbr[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8
    RDEPEND: python_targets_python2_7? ( dev-python/testtools-compat ) dev-python/pbr[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/testtools
    kit: python-modules-kit
    original.package.name: dev-python/testtools
    original.package.slot: "0"
    original.package.version: 2.7.1
